package com.red.circle.other.app.inner.service.team;

import com.red.circle.framework.dto.ResultResponse;
import com.red.circle.other.inner.model.dto.team.TeamTerminationFeeRecordDTO;

import java.io.Serializable;
import java.util.List;

/**
 * @author longli on  2024/3/14
 */
public interface TeamTerminationFeeRecordClientService {

    List<TeamTerminationFeeRecordDTO> listByTimeGt24AndPayeeUserNull();

    TeamTerminationFeeRecordDTO getById(Serializable id);

    TeamTerminationFeeRecordDTO updateSelectiveById(TeamTerminationFeeRecordDTO teamTerminationFeeRecordDTO);
}
